get
https://api.ol-hub.com/backend/api/v1/projects/
The get project API sends a GET request to return various information for a specific project.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Prerequisites: The caller must supply the id for the requested project. This can be obtained by invoking the get all projects API.
Authorization: API key
Input parameters:
Path Variables:
| Name | Description | Format |
|---|---|---|
| id | Project id | UUID |
Output parameters:
| Field name | Description | Format |
|---|---|---|
| name | Project name | String |
| createdAt | Project creation datetime | Instant |
| modifiedAt | Project modification datetime | Instant |
| modifiedBy | User who modified project | String |
| description | Project description | String |
| bookmarked | Is project bookmarked? | Boolean |
| additionalInfo | Container - see below | additionalInfo |
| version | Project version number (default = null) | Integer |
| versions | Number of project versions | Integer |
| deploymentImage | If project is deployed, the no-code docker image of the project; otherwise null | String |
| technology | Set of options currently supported in OL Hub project: HTTP, IBM_MQ, KAFKA, DB_POLLER, CORBA, SFTP, ACTIVE_MQ, SOAP, REVERSE | ApiEnrichmentType |
additionalInfo:
| Field name | Description | Format |
|---|---|---|
| numofModules | Number of modules in project | Integer |
| numofAssets | Number of assets in project | Integer |
| numofMethods | Number of methods in project | Integer |
| contractName | Contract name | String |
| contractID | Contract identifier | UUID |
Example:
{
"project": {
"id": "b8d28b7e-edfb-4c18-8fb7-e5b3d09db83f",
"name": "item-1",
"createdAt": "2021-07-18T14:23:52.060612Z",
"modifiedAt": "2021-07-18T14:23:52.060608Z",
"modifiedBy": "local dev",
"description": "very crazy",
"bookmarked": false,
"additionalInfo": {
"numOfModules": 1,
"numOfAssets": 1,
"numOfMethods": 1
}
}
}
